Hi friends, :)
In a shell script i found the following if condition.
echo -n "Which version of $1 do you want to restore ('0' to quit)? : "
read desired
if ${desired:=1} -ge $index ] ; then
echo "$0: Restore canceled by user: index value too big." >&2
exit 1
fi
Can... (1 Reply)
i have a paramter data_date in which i am passing a string value.i want to find out another paramter file_date from this.the logic is given below
if day of data_date = sunday or monday
then
file_date=data_date-1
else
file_date=data_date-2
i am passing data_date as 20061027.
how can i... (3 Replies)
Hi,
I am trying to execute this command, but is it not working, says "`;' unexpected"
eval $lgrep $SAM_CMD ; if ; then ; echo "No Error" ; fi
What i want is, return the command output, if it is non zero, say "No Error".
Thanks, John. (21 Replies)
Executed the following if conditions .. and got different results .
only (( )) gave correct o/p with all scenarios .
Can anybody please let me know what is the difference between and ] and ((condition)) when used with if condition.
And why each condition gave different result.
1.... (2 Replies)
hi,
I have some problems in my simple script about the redirect echo stdout command inside a condition. Why is the echo command inside the elif still execute in the else command
Here are my simple script
After check on the two diff output the echo stdout redirect is present in two diff... (3 Replies)
HI
My doubt may be basic one but I need to get it clarified..
When i use "if" condition that checks for many AND, OR logical conditions
like
if ]; then
return 0
fi
Even the if condition fails it returns as zero.. Any clue..
But if i add else condition like
if ]; ... (2 Replies)
Hi all
Unix newbie - please be gentle
Am modifying an existing script to error trap a variable with a length of 0
#!/bin/bash
ipfile='/var/data/bin/ipaddress'
] && ipold="$(< "$ipfile" )"
ipnew="$( wget -q -O - checkip.dyndns.org | sed -e 's/.*Current IP Address: //;s/<.*$//' )"
#... (6 Replies)
o/p of my command is given below
My requirement is
if Pnumber is 0 then
stabilization.Build.2013
else
stabilization.PBuild.2013.3 (11 Replies)
Discussion started by: nikhil jain
11 Replies
LEARN ABOUT HPUX
pthread_cond_destroy
pthread_cond_init(3T)pthread_cond_init(3T)NAME
pthread_cond_init(), pthread_cond_destroy() - initialize or destroy a condition variable
SYNOPSIS PARAMETERS
cond Pointer to the condition variable to be initialized or destroyed.
attr Pointer to the attributes object that defines the characteristics of the condition variable to be initialized. If the
pointer is NULL, default attributes are used.
DESCRIPTION
The function initializes the condition variable cond with the attributes attr. If attr is NULL, the default condition variable attributes
are used to initialize the attributes object. See pthread_condattr_init(3T) for a list of the default condition variable attributes.
After successful initialization, the condition variable may be used in condition variable operations. A condition variable should be ini-
tialized only once or the resulting behavior is undefined. The function provides a way to ensure that a condition variable is only ini-
tialized once.
The macro can be used to initialize condition variables that are statically allocated. These condition variables will be initialized with
default attributes. The function does not need to be called for statically initialized condition variables.
If the process-shared attribute in the condition variable attributes object referenced by attr is defined as the condition variable must be
allocated such that the processes sharing the condition variable have access to it. This may be done through the memory-mapping functions
(see mmap(2)) or the shared memory functions (see shmget(2)).
destroys the condition variable cond. This function may set cond to an invalid value. The destroyed condition variable can be reinitial-
ized using the function If the condition variable is used after destruction in any condition variable call, the resulting behavior is unde-
fined.
A condition variable should be destroyed only when there are no threads currently blocked on it. Destroying a condition variable that is
currently in use results in undefined behavior.
RETURN VALUE
Upon successful completion, and return zero. Otherwise, an error number is returned to indicate the error (the variable is not set).
ERRORS
If any of the following occur, the function returns the corresponding error number:
The system does not have the available resources (other than memory)
to initialize the condition variable.
The specified condition variable is an already initialized condition
variable. However, getting for reinitializing the condition variable cannot be expected all the time since the
behavior of reinitializing the condition variable is undefined.
The cond parameter points to an illegal address.
The value specified by
cond or attr is invalid.
There is insufficient memory available in which to initialize
the condition variable.
If any of the following occur, the function returns the corresponding error number:
An attempt to destroy
cond while it is in use by another thread.
cond is not a valid condition variable.
WARNINGS
The space for condition variable must be allocated before calling Undefined behavior will result if the process-shared attribute of attr is
and the space allocated for the condition variable is not accessible to cooperating threads.
AUTHOR
and were derived from the IEEE POSIX P1003.1c standard.
SEE ALSO pthread_cond_signal(3T), pthread_cond_wait(3T).
STANDARDS CONFORMANCE
Pthread Library pthread_cond_init(3T)